=== debian/changelog ===
eyrie-archive-keyring (2025.11.15) unstable; urgency=medium

  * Add eyrie.org archive key (13/trixie) <ftp@eyrie.org>
    (fingerprint: 9E5E1BA5B17D6A41FB56E3A60573CB3438D1DACA)
    to the active keys. This will be used as the main signing key for new
    releases shortly.
  * Change the format of the keys in /etc/apt/trusted.gpg.d to be armored
    exports of the public keys instead of GnuPG keyrings.
  * Refresh my personal key.
  * Remove the bullseye signing key and add it to the removed-keys keyring
    (fingerprint: B4E5F157322A945C2F59643EA37F7361C0BFA85F).
  * Remove /etc/apt/trusted.gpg.d/eyrie-archive-bullseye-automatic.gpg
    obsolete config file.
  * Update standards version to 4.7.2 (no changes required).
  * Remove obsolete Rules-Requires-Root control field.
  * Remove obsolete postal address from debian/changelog.

 -- Russ Allbery <rra@debian.org>  Sat, 15 Nov 2025 16:25:47 -0800

eyrie-archive-keyring (2023.12.29) unstable; urgency=medium

  * Include the bookworm signing key in the trusted.gpg.d directory.

 -- Russ Allbery <rra@debian.org>  Fri, 29 Dec 2023 17:21:07 -0800

eyrie-archive-keyring (2023.10.21) unstable; urgency=medium

  * Add eyrie.org Archive Key (12/bookworm) <ftp@eyrie.org>
    (fingerprint: FF9333ADEE14D666F89EF3D1B2773B4FFD21DB71)
    to the active keys.  This will be used as the main signing key for new
    releases shortly.
  * Refresh my personal key.
  * Update standards version to 4.6.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 21 Oct 2023 21:03:44 -0700

eyrie-archive-keyring (2022.03.31) unstable; urgency=medium

  * Remove the buster signing key and add it to the removed-keys keyring
    (fingerprint: 64B5CE85810D66C6C29696321C03273B388CB502).
  * Remove /etc/apt/trusted.gpg.d/eyrie-archive-buster-automatic.gpg
    obsolete config file.
  * Change the default branch for git-buildpackage to main.

 -- Russ Allbery <rra@debian.org>  Thu, 31 Mar 2022 20:03:29 -0700

eyrie-archive-keyring (2021.12.29) unstable; urgency=medium

  * Add eyrie.org Archive Key (11/bullseye) <ftp@eyrie.org>
    (fingerprint: B4E5F157322A945C2F59643EA37F7361C0BFA85F)
    to the active keys.  This will be used as the main signing key for new
    releases shortly.
  * Remove the expired stretch signing key and add it to the removed-keys
    keyring (fingerprint: F6B91AFCC79077B6A0971DF5FD9C5CF2890093F2).
  * Remove /etc/apt/trusted.gpg.d/eyrie-archive-stretch-automatic.gpg
    obsolete config file.
  * Drop the obsolete eyrie-keyring transition package.
  * Refresh my personal key.
  * Update to debhelper compatibility level V13.
  * Update standards version to 4.6.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 29 Dec 2021 14:03:57 -0800

eyrie-archive-keyring (2019.10.01) unstable; urgency=medium

  * Remove /etc/apt/trusted.gpg.d/eyrie-archive-jessie-automatic.gpg
    obsolete config file.

 -- Russ Allbery <rra@debian.org>  Sun, 29 Sep 2019 15:31:11 -0700

eyrie-archive-keyring (2019.09.30) unstable; urgency=medium

  * Declare that eyrie-archive-keyring Replaces and Breaks older versions
    of eyrie-keyring.

 -- Russ Allbery <rra@debian.org>  Sun, 29 Sep 2019 15:06:50 -0700

eyrie-archive-keyring (2019.09.29) unstable; urgency=medium

  * Rename package to eyrie-archive-keyring to match the naming convention
    for packages containing archive keys, and add a transitional package
    to handle upgrades from eyrie-keyring.
  * Add eyrie.org Archive Key (10/buster) <ftp@eyrie.org>
    (fingerprint: 64B5CE85810D66C6C29696321C03273B388CB502)
    to the active keys.  This will be used as the main signing key for new
    releases shortly.
  * Remove the expired jessie signing key and add it to the removed-keys
    keyring (fingerprint: FDBDFBACC9D93752DBAC47D7D83167F3245D85C1).
  * Disable parallel builds for the trusted.gpg files, since generating
    them uses the same temporary working directory.
  * Add distclean make target (just an alias for clean).
  * Refresh my personal key.
  * Update to debhelper compatibility level V12.
    - Depend on debhelper-compat and remove debian/compat.
  * Update standards version to 4.4.1.
    - Add Rules-Requires-Root: no.
    - Use https for copyright-format URL, Homepage, and VCS-* fields.

 -- Russ Allbery <rra@debian.org>  Sun, 29 Sep 2019 14:50:37 -0700

eyrie-keyring (2017.10.29) unstable; urgency=medium

  * Add eyrie.org Archive Key (9/stretch) <ftp@eyrie.org>
    (0xFD9C5CF2890093F2) to the active keys.  This will be used as the
    main signing key for new releases shortly.
  * Delete the machinery to remove old keys and to clean up apt-key
    registration.  This package hasn't used those mechanisms in nearly two
    years and on the other side of a stable release.
  * Refresh my personal key.
  * Update to debhelper compatibility level V10.
  * Run wrap-and-sort -ast.
  * Update standards version to 4.1.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 29 Oct 2017 16:38:30 -0700

eyrie-keyring (2015.11.26) unstable; urgency=medium

  * Remove the old squeeze signing key (0x574642C148CD00F6) and add it to
    the removed-keys keyring.  The eyrie.org archive is now signed only
    with 0xD83167F3245D85C1.

 -- Russ Allbery <rra@debian.org>  Thu, 26 Nov 2015 18:08:33 -0800

eyrie-keyring (2015.10.25) unstable; urgency=medium

  * Rewrite the package based on debian-archive-keyring 2014.3:
    - Install trusted keys via /etc/apt/trusted.gpg.d.
    - Use jetring to manage the keyrings.
    - Support removed keys.
    - Add signatures and verification during the build.
    - Add process documentation taken from debian-archive-keyring.
  * Add eyrie.org Archive Key (8.0/jessie) <ftp@eyrie.org>
    (0xD83167F3245D85C1) to the active keys.  This will be used as the
    main signing key for new releases shortly.
  * Clean up old keys added via apt-key in favor of the files installed in
    /etc/apt/trusted.gpg.d, and remove the prerm apt-key handling.

