=== debian/control ===
Source: eyrie-archive-keyring
Section: misc
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 gnupg,
 jetring,
Maintainer: Russ Allbery <rra@debian.org>
Bugs: mailto:rra@debian.org
Homepage: https://www.eyrie.org/~eagle/software/debian.html
Standards-Version: 4.7.2
Vcs-Git: https://git.eyrie.org/git/debian/eyrie-archive-keyring.git
Vcs-Browser: https://git.eyrie.org/?p=debian/eyrie-archive-keyring.git

Package: eyrie-archive-keyring
Architecture: all
Depends:
 apt,
 ${misc:Depends},
Replaces: eyrie-keyring (<< 2019.09.29)
Breaks: eyrie-keyring (<< 2019.09.29)
Description: GnuPG archive keys for the eyrie.org repository
 This package contains the archive keys for Russ Allbery's personal Debian
 repository, hosted on archives.eyrie.org. When installed, it will
 register those keys as trusted with apt so that the repository signatures
 can be verified.
